Get events

Need ticketing URLs, platform identifiers, and details about other performers for each concert? Use the Get concerts details endpoint.

To find an artist's UUID, use either the Get artist by platform ID or Search artist by name endpoints.

Request

GET /api/v2/artist/{uuid}/events

Path parameters

Parameter Value Description Additional
uuid string An artist UUID Required

Query string parameters

Parameter Value Description Additional
type string A period type (Available values are : all, concert, festival, online) Optional
startDate string Optional period start date (format YYYY-MM-DD) Optional
endDate string Optional period end date (format YYYY-MM-DD) Optional
offset integer Get results starting from position Optional
limit integer Number of results (max. 100) Optional
sortBy string Sort criteria. Available values are : date Optional
sortOrder string Sort order. Available values are : asc, desc Optional

Response

Code Description Resource
200 OK

Artist Event collection response

Artist Event Collection
401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Artist not found

Explore

An artist UUID

A period type (Available values are : all, concert, festival, online)

Optional period start date (format YYYY-MM-DD)

Optional period end date (format YYYY-MM-DD)

Get results starting from position

Number of results (max. 100)

Sort criteria. Available values are : date

Sort order. Available values are : asc, desc

Try it out